TopicSession
Date: 2015-09-19

javax.jms

## Interface TopicSession

- All Superinterfaces:
    java.lang.Runnable, Session

      public interface TopicSession
      extends Session

- - ### Field Summary

    - ### Fields inherited from interface javax.jms.Session

      `AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name)`
    `TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name, java.lang.String messageSelector, boolean noLocal)`
    `TopicPublisher` | `createPublisher(Topic topic)`
    `TopicSubscriber` | `createSubscriber(Topic topic)`
    `TopicSubscriber` | `createSubscriber(Topic topic, java.lang.String messageSelector, boolean noLocal)`
    `TemporaryTopic` | `createTemporaryTopic()`
    `Topic` | `createTopic(java.lang.String topicName)`
    `void` | `unsubscribe(java.lang.String name)`

    - ### Methods inherited from interface javax.jms.Session

      `close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createStreamMessage, createTemporaryQueue, createTextMessage, createTextMessage, getAcknowledgeMode, getMessageListener, getTransacted, recover, rollback, run, setMessageListener`

- - ### Method Detail

    - #### createTopic

          Topic createTopic(java.lang.String topicName)
                            throws JMSException

      Specified by:
        `createTopic` in interface `Session`
      Throws:
        `JMSException`

    - #### createSubscriber

          TopicSubscriber createSubscriber(Topic topic)
                                           throws JMSException

      Throws:
        `JMSException`

    - #### createSubscriber

          TopicSubscriber createSubscriber(Topic topic,
                                         java.lang.String messageSelector,
                                         boolean noLocal)
                                           throws JMSException

      Throws:
        `JMSException`

    - #### createDurableSubscriber

          TopicSubscriber createDurableSubscriber(Topic topic,
                                                java.lang.String name)
                                                  throws JMSException

      Specified by:
        `createDurableSubscriber` in interface `Session`
      Throws:
        `JMSException`

    - #### createDurableSubscriber

          TopicSubscriber createDurableSubscriber(Topic topic,
                                                java.lang.String name,
                                                java.lang.String messageSelector,
                                                boolean noLocal)
                                                  throws JMSException

      Specified by:
        `createDurableSubscriber` in interface `Session`
      Throws:
        `JMSException`

    - #### createPublisher

          TopicPublisher createPublisher(Topic topic)
                                         throws JMSException

      Throws:
        `JMSException`

    - #### createTemporaryTopic

          TemporaryTopic createTemporaryTopic()
                                              throws JMSException

      Specified by:
        `createTemporaryTopic` in interface `Session`
      Throws:
        `JMSException`

    - #### unsubscribe

          void unsubscribe(java.lang.String name)
                           throws JMSException

      Specified by:
        `unsubscribe` in interface `Session`
      Throws:
        `JMSException`